package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "refunded")
public class Refunded {

    /**
     * 主键
     */
    @Id
    private Integer id;

    /**
     * 用户Id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 预约单号
     */
    @Column(name = "order_code")
    private String orderCode;

    @Column(name = "order_id", nullable = false)
    private Integer orderId;

    /**
     * 诊断号
     */
    @Column(name = "clinic_code")
    private String clinicCode;

    @Column(name = "cancel_remark")
    private String cancelRemark;

    @Column(name = "refunded_remark")
    private String refundedRemark;

    @Column(name = "return_fee")
    private Integer returnFee;

    @Column(name = "refunded_transaction_id")
    private String refundedTransactionId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 0-操作成功 1-操作失败
     */
    @Column(name = "result", nullable = false)
    private Integer result;

    /**
     * 1-取消 2-退款
     */
    @Column(name = "type")
    private Integer type;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getClinicCode() {
        return clinicCode;
    }

    public void setClinicCode(String clinicCode) {
        this.clinicCode = clinicCode;
    }

    public String getCancelRemark() {
        return cancelRemark;
    }

    public void setCancelRemark(String cancelRemark) {
        this.cancelRemark = cancelRemark;
    }

    public String getRefundedRemark() {
        return refundedRemark;
    }

    public void setRefundedRemark(String refundedRemark) {
        this.refundedRemark = refundedRemark;
    }

    public Integer getReturnFee() {
        return returnFee;
    }

    public void setReturnFee(Integer returnFee) {
        this.returnFee = returnFee;
    }

    public String getRefundedTransactionId() {
        return refundedTransactionId;
    }

    public void setRefundedTransactionId(String refundedTransactionId) {
        this.refundedTransactionId = refundedTransactionId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getResult() {
        return result;
    }

    public void setResult(Integer result) {
        this.result = result;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
